Bug 498685 - oracle-selinux-enable No Such File or directory
oracle-selinux-enable No Such File or directory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
wes hayutin
:
Depends On:
Blocks: 457079 498686
  Show dependency treegraph
 
Reported: 2009-05-01 17:42 EDT by Devan Goodwin
Modified: 2009-09-10 15:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2009-05-01 17:42:26 EDT
Description of problem:

During install.pl, scriptlet fails and output appears in rhn-installation.log.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090501.1-i386-embedded-oracle.iso

How reproducible:

Seems 100%

Steps to Reproduce:
1. run install.pl normally and watch rhn-installation.log
  
Actual results:

  Installing     : oracle-nofcontext-selinux                     [ 26/273]/var/tmp/rpm-tmp.65489: line 2: /usr/sbin/oracle-selinux-enable: No such file or directory

error: %post(oracle-nofcontext-selinux-0.1-23.7.el5sat.noarch) scriptlet failed, exit status 127


Expected results:


Additional info:

Selinux was in enforcing mode.
Comment 1 Devan Goodwin 2009-05-01 18:21:33 EDT
Errors I'm just going to lump in with that one if it's ok. :)

  Installing     : oracle-instantclient-selinux                  [137/173] 
libsepol.context_from_record: type oracle_sqlplus_exec_t is not defined
libsepol.context_from_record: could not create context structure
libsemanage.validate_handler: invalid context system_u:object_r:oracle_sqlplus_exec_t:s0 specified for /usr/lib/oracle/10\.2\..*/client.*/bin/sqlplus [all files]
libsemanage.dbase_llist_iterate: could not iterate over records
/usr/sbin/semanage: Could not add file context for /usr/lib/oracle/10\.2\..*/client.*/bin/sqlplus


  Installing     : spacewalk-selinux                             [170/173] 
libsepol.print_missing_requirements: spacewalk's global requirements were not met: type/attribute oracle_port_t
libsemanage.semanage_link_sandbox: Link packages failed
/usr/sbin/semodule:  Failed!
libsepol.context_from_record: type cobbler_port_t is not defined
libsepol.context_from_record: could not create context structure
libsepol.port_from_record: could not create port structure for range 25152:25152 (tcp)
libsepol.sepol_port_modify: could not load port range 25152 - 25152 (tcp)
libsemanage.dbase_policydb_modify: could not modify record value
libsemanage.semanage_base_merge_components: could not merge local modifications into policy
/usr/sbin/semanage: Could not add port tcp/25152


  Installing     : spacewalk-monitoring-selinux                  [171/173] 
libsepol.print_missing_requirements: spacewalk-monitoring's global requirements were not met: type/attribute oracle_port_t
libsemanage.semanage_link_sandbox: Link packages failed
/usr/sbin/semodule:  Failed!
/sbin/restorecon reset /var/lib/nocpulse/tsdb context root:object_r:rpm_var_lib_t:s0->system_u:object_r:var_lib_t:s0
  Installing     : osa-dispatcher-selinux                        [172/173] 
libsepol.print_missing_requirements: osa-dispatcher's global requirements were not met: type/attribute spacewalk_log_t
libsemanage.semanage_link_sandbox: Link packages failed
/usr/sbin/semodule:  Failed!
Comment 2 Jan Pazdziora 2009-05-04 06:02:50 EDT
Fixed in oracle-selinux-0.1-23.8, tagged Wed Apr 29 10:09:17 2009 +0200.

Why didn't this new version of oracle-selinux make it to the ISO?
Comment 3 Devan Goodwin 2009-05-04 09:30:15 EDT
Found the problem, we were tagging versions with the same version/release in spacewalk and satellite both, and when submitting the build I used the tag version without -sat at the end. Will be fixed in next ISO by adding a .1 to the versions tagged in satellite.
Comment 4 Jan Pazdziora 2009-05-11 07:48:18 EDT
Package oracle-nofcontext-selinux-0.1-23.8.1.el5sat.noarch.rpm with the fix is on the Satellite-5.3.0-RHEL5-re20090507.1 ISO, moving ON_QA.
Comment 5 wes hayutin 2009-05-11 10:25:26 EDT
5/7.1
Examining Satellite/oracle-nofcontext-selinux-0.1-23.8.1.el5sat.noarch.rpm: 
oracle-nofcontext-selinux-0.1-23.8.1.el5sat.noarch
Marking Satellite/oracle-nofcontext-selinux-0.1-23.8.1.el5sat.noarch.rpm to 
be installed


---> Package oracle-instantclient-basic.i386 0:10.2.0-42.el5sat set to be up
dated
--> Processing Dependency: libstdc++.so.5 for package: oracle-instantclient-
basic
--> Processing Dependency: libstdc++.so.5(CXXABI_1.2) for package: oracle-in
stantclient-basic
--> Processing Dependency: libstdc++.so.5(GLIBCPP_3.2) for package: oracle-i
nstantclient-basic

---> Package spacewalk-selinux.noarch 0:0.5.4-2.el5sat set to be updated

---> Package spacewalk-monitoring-selinux.noarch 0:0.5.7-2.el5sat set to be 
updated
---> Package pyt

all packages installed w/o error..
verified
Comment 6 Milan Zazrivec 2009-09-02 07:37:38 EDT
Verified with latest stage iso -> RELEASE_PENDING
Comment 7 Brandon Perkins 2009-09-10 15:12:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.